// AdoAdrBookView.h : interface of the CAdoAdrBookView class
//
/////////////////////////////////////////////////////////////////////////////
/*
This file was created by Haimag (haimag@263.net).
This file is distributed "as is", e.g. there are no warranties 
and obligations and you could use it in your applications on your
own risk. 
Your comments and questions are welcome.
*/

#if !defined(AFX_ADOADRBOOKVIEW_H__11BD36ED_42D4_11D4_81CA_0040052E8825__INCLUDED_)
#define AFX_ADOADRBOOKVIEW_H__11BD36ED_42D4_11D4_81CA_0040052E8825__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CAdoAdrBookView : public CListView
{
protected: // create from serialization only
	CAdoAdrBookView();
	DECLARE_DYNCREATE(CAdoAdrBookView)

// Attributes
public:
	CAdoAdrBookDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAdoAdrBookView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
public:
	static CString	m_ColumnLabelStr[6];
	CImageList*   m_pImageList;//CImageList
	_RecordsetPtr m_pUserSet;
	FieldsPtr    m_pFieldsPtr;
	FieldPtr     m_pFieldPtr;


	virtual ~CAdoAdrBookView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CAdoAdrBookView)
	afx_msg void OnDeleteRecord();
	afx_msg void OnUpdateDeleteRecord(CCmdUI* pCmdUI);
	afx_msg void OnUpdataRecord();
	afx_msg void OnUpdateUpdataRecord(CCmdUI* pCmdUI);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnRefrashRecord();
	afx_msg void OnNewRecord();
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnPopDelete();
	afx_msg void OnPopUpdata();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in AdoAdrBookView.cpp
inline CAdoAdrBookDoc* CAdoAdrBookView::GetDocument()
   { return (CAdoAdrBookDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ADOADRBOOKVIEW_H__11BD36ED_42D4_11D4_81CA_0040052E8825__INCLUDED_)
